# Uses of Class
org.snpeff.interval.Transcript

Packages that use Transcript
Package
Description
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.nextProt
org.snpeff.pdb
org.snpeff.snpEffect
org.snpeff.snpEffect.factory
org.snpeff.spliceSites
org.snpeff.stats
org.snpeff.svg

## Uses of Transcript in org.snpeff.interval

Methods in org.snpeff.interval that return Transcript
Modifier and Type
Method
Description
`Transcript`
Transcript.`apply(Variant variant)`
Create a new transcript after applying changes in variant
`Transcript`
Gene.`canonical()`
Get canonical transcript Canonical transcripts are defined as the longest CDS of amongst the protein coding transcripts.
`Transcript`
Transcript.`cloneShallow()`
`Transcript`
Genes.`findTranscript(String trId)`
Find a transcript by ID
Methods in org.snpeff.interval with parameters of type Transcript
Modifier and Type
Method
Description
`static List<ProteinInteractionLocus>`
ProteinInteractionLocus.`factory(Transcript tr, int aaPos, Transcript trInteract, String id)`
Create interaction.
Constructors in org.snpeff.interval with parameters of type Transcript
Modifier
Constructor
Description
``
`Cds(Transcript parent, int start, int end, boolean strandMinus, String id)`
``
`CircularCorrection(Transcript tr)`
``
`CircularCorrection(Transcript tr, int chrLen)`
``
`Downstream(Transcript parent, int start, int end, boolean strandMinus, String id)`
``
`Exon(Transcript parent, int start, int end, boolean strandMinus, String id, int rank)`
``
`Intron(Transcript parent, int start, int end, boolean strandMinus, String id, Exon exonBefore, Exon exonAfter)`
``
`IntronConserved(Transcript parent, int start, int end, boolean strandMinus, String id)`
``
`NextProt(Transcript transcript, int start, int end, String id)`
``
`NextProt(Transcript transcript, int start, int end, String id, String name)`
``
`ProteinInteractionLocus(Transcript parent, int start, int end, String id)`
``
`ProteinProteinInteractionLocus(Transcript parent, int start, int end, Transcript trInteract, String id)`
``
`ProteinStructuralInteractionLocus(Transcript parent, int start, int end, String id)`
``
`Upstream(Transcript parent, int start, int end, boolean strandMinus, String id)`

## Uses of Transcript in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange with parameters of type Transcript
Modifier and Type
Method
Description
`static CodonChange`
CodonChange.`factory(Variant variant, Transcript transcript, VariantEffects variantEffects)`
Create a specific codon change for a variant
Constructors in org.snpeff.interval.codonChange with parameters of type Transcript
Modifier
Constructor
Description
`protected`
`CodonChange(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeDel(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeDup(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeIns(Variant variant, Transcript transcript, VariantEffects changeEffects)`
``
`CodonChangeInterval(Variant variant, Transcript transcript, VariantEffects varEffects)`
``
`CodonChangeInv(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeMixed(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeMnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeSnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeStructural(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Uses of Transcript in org.snpeff.nextProt

Methods in org.snpeff.nextProt with parameters of type Transcript
Modifier and Type
Method
Description
`Markers`
NextProtMarkerFactory.`nextProt(Transcript tr, String accession, String name, int aaStart, int aaEnd)`
Create a single NextProt marker
`Markers`
NextProtMarkerFactory.`nextProt(Transcript tr, NextProtXmlAnnotation annotation, Location location)`
Create a list of NextProt markers according to this annotation

## Uses of Transcript in org.snpeff.pdb

Methods in org.snpeff.pdb that return Transcript
Modifier and Type
Method
Description
`Transcript`
ProteinInteractions.`getTranscript(String trId)`
Methods in org.snpeff.pdb with parameters of type Transcript
Modifier and Type
Method
Description
`void`
DistanceResult.`setTr1(Transcript tr)`
`void`
DistanceResult.`setTr2(Transcript tr)`
Constructors in org.snpeff.pdb with parameters of type Transcript
Modifier
Constructor
Description
``
`DistanceResult(String proteinId, org.biojava.nbio.structure.AminoAcid aa1, org.biojava.nbio.structure.AminoAcid aa2, Transcript tr1, Transcript tr2, double distance)`

## Uses of Transcript in org.snpeff.snpEffect

Fields in org.snpeff.snpEffect declared as Transcript
Modifier and Type
Field
Description
`protected Transcript`
Hgvs.`tr`
Methods in org.snpeff.snpEffect that return Transcript
Modifier and Type
Method
Description
`Transcript`
SnpEffectPredictor.`getTranscript(String trId)`
`Transcript`
VariantEffect.`getTranscript()`
`Transcript`
VariantEffectFusion.`getTrLeft()`
`Transcript`
VariantEffectFusion.`getTrRight()`
Methods in org.snpeff.snpEffect with parameters of type Transcript
Modifier and Type
Method
Description
`int`
LossOfFunction.`lastNmdPos(Transcript tr)`
Find the last position where a nonsense mediated decay is supposed to occurr This is 50 bases (MND_BASES_BEFORE_LAST_JUNCTION bases) before the last exon-exon junction.
`protected String`
HgvsProtein.`pos(Transcript tr, int codonNum)`
Protein position
`protected String`
HgvsProtein.`pos(Transcript tr, int start, int end)`
Position string given two coordinates

## Uses of Transcript in org.snpeff.snpEffect.factory

Methods in org.snpeff.snpEffect.factory that return Transcript
Modifier and Type
Method
Description
`protected Transcript`
SnpEffPredictorFactoryGff.`findOrCreateTranscript(GffMarker gffMarker)`
Create and add a transcript based on GffMarker
`protected Transcript`
SnpEffPredictorFactory.`findTranscript(String id)`
`protected Transcript`
SnpEffPredictorFactory.`findTranscript(String trId, String id)`
Methods in org.snpeff.snpEffect.factory with parameters of type Transcript
Modifier and Type
Method
Description
`protected void`
SnpEffPredictorFactory.`add(Transcript tr)`
Add a transcript
`protected Exon`
SnpEffPredictorFactoryGff.`addExon(Transcript tr, GffMarker gffMarker, String exonId)`
Create a new exon
`protected void`
SnpEffPredictorFactory.`exonsFromCds(Transcript tr)`
Create exons from CDS info WARNING: We might end up with redundant exons if some exons existed before this process
`protected void`
SnpEffPredictorFactory.`replaceTranscript(Transcript trOld, Transcript trNew)`

## Uses of Transcript in org.snpeff.spliceSites

Methods in org.snpeff.spliceSites that return types with arguments of type Transcript
Modifier and Type
Method
Description
`List<Transcript>`
TranscriptSet.`getByChromo(String chrName)`
`Iterator<Transcript>`
TranscriptSet.`iterator()`
Methods in org.snpeff.spliceSites with parameters of type Transcript
Modifier and Type
Method
Description
`Tuple<Double,Integer>`
SpliceTypes.`addBestU12Score(Transcript tr, String chrSeq, String donorAcceptor, int intronStart, int intronEnd)`
Calculate the best U12 score.

## Uses of Transcript in org.snpeff.stats

Methods in org.snpeff.stats with parameters of type Transcript
Modifier and Type
Method
Description
`double`
ObservedOverExpected.`expected(Transcript t)`
Expected number of sequences (average between plus and minus strand)
`int`
ObservedOverExpected.`observed(Transcript t)`
Observed sequence (average between plus and minus strand)
`double`
ObservedOverExpected.`oe(Transcript t)`
Observed over expected ratio
`void`
GeneCountByTypeTable.`sample(Gene gene, Transcript tr, String type, VariantEffect variantEffect)`
Sample this invalid input: '<'gene, marker, type, variant> tuple to update statistics
Constructors in org.snpeff.stats with parameters of type Transcript
Modifier
Constructor
Description
``
`TranslocationReport(VariantBnd var, VcfEffect veff, Transcript tr1, Transcript tr2)`

## Uses of Transcript in org.snpeff.svg

Constructors in org.snpeff.svg with parameters of type Transcript
Modifier
Constructor
Description
``
`SvgNextProt(Transcript tr, Svg svg, Markers nextprotMarkers)`
``
`SvgTranscript(Transcript tr, Svg svg)`
``
`SvgTranslocation(Transcript tr1, Transcript tr2, VariantBnd varBnd, SnpEffectPredictor snpEffPredictor)`